123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241 |
- --- libxslt-1.1.24.orig/configure 2008-05-13 17:40:54.000000000 +0200
- +++ libxslt-1.1.24/configure 2011-02-15 18:11:46.000000000 +0100
- @@ -6799,238 +6799,6 @@ fi
-
-
-
- -if test -n "$CXX" && ( test "X$CXX" != "Xno" &&
- - ( (test "X$CXX" = "Xg++" && `g++ -v >/dev/null 2>&1` ) ||
- - (test "X$CXX" != "Xg++"))) ; then
- - ac_ext=cpp
- -ac_cpp='$CXXCPP $CPPFLAGS'
- -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
- -{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
- -echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
- -if test -z "$CXXCPP"; then
- - if test "${ac_cv_prog_CXXCPP+set}" = set; then
- - echo $ECHO_N "(cached) $ECHO_C" >&6
- -else
- - # Double quotes because CXXCPP needs to be expanded
- - for CXXCPP in "$CXX -E" "/lib/cpp"
- - do
- - ac_preproc_ok=false
- -for ac_cxx_preproc_warn_flag in '' yes
- -do
- - # Use a header file that comes with gcc, so configuring glibc
- - # with a fresh cross-compiler works.
- - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
- - # <limits.h> exists even on freestanding compilers.
- - # On the NeXT, cc -E runs the code through the compiler's parser,
- - # not just through cpp. "Syntax error" is here to catch this case.
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -#ifdef __STDC__
- -# include <limits.h>
- -#else
- -# include <assert.h>
- -#endif
- - Syntax error
- -_ACEOF
- -if { (ac_try="$ac_cpp conftest.$ac_ext"
- -case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } >/dev/null && {
- - test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
- - test ! -s conftest.err
- - }; then
- - :
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- - # Broken: fails on valid input.
- -continue
- -fi
- -
- -rm -f conftest.err conftest.$ac_ext
- -
- - # OK, works on sane cases. Now check whether nonexistent headers
- - # can be detected and how.
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -#include <ac_nonexistent.h>
- -_ACEOF
- -if { (ac_try="$ac_cpp conftest.$ac_ext"
- -case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } >/dev/null && {
- - test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
- - test ! -s conftest.err
- - }; then
- - # Broken: success on invalid input.
- -continue
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- - # Passes both tests.
- -ac_preproc_ok=:
- -break
- -fi
- -
- -rm -f conftest.err conftest.$ac_ext
- -
- -done
- -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
- -rm -f conftest.err conftest.$ac_ext
- -if $ac_preproc_ok; then
- - break
- -fi
- -
- - done
- - ac_cv_prog_CXXCPP=$CXXCPP
- -
- -fi
- - CXXCPP=$ac_cv_prog_CXXCPP
- -else
- - ac_cv_prog_CXXCPP=$CXXCPP
- -fi
- -{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
- -echo "${ECHO_T}$CXXCPP" >&6; }
- -ac_preproc_ok=false
- -for ac_cxx_preproc_warn_flag in '' yes
- -do
- - # Use a header file that comes with gcc, so configuring glibc
- - # with a fresh cross-compiler works.
- - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
- - # <limits.h> exists even on freestanding compilers.
- - # On the NeXT, cc -E runs the code through the compiler's parser,
- - # not just through cpp. "Syntax error" is here to catch this case.
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -#ifdef __STDC__
- -# include <limits.h>
- -#else
- -# include <assert.h>
- -#endif
- - Syntax error
- -_ACEOF
- -if { (ac_try="$ac_cpp conftest.$ac_ext"
- -case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } >/dev/null && {
- - test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
- - test ! -s conftest.err
- - }; then
- - :
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- - # Broken: fails on valid input.
- -continue
- -fi
- -
- -rm -f conftest.err conftest.$ac_ext
- -
- - # OK, works on sane cases. Now check whether nonexistent headers
- - # can be detected and how.
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -#include <ac_nonexistent.h>
- -_ACEOF
- -if { (ac_try="$ac_cpp conftest.$ac_ext"
- -case "(($ac_try" in
- - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- - *) ac_try_echo=$ac_try;;
- -esac
- -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } >/dev/null && {
- - test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
- - test ! -s conftest.err
- - }; then
- - # Broken: success on invalid input.
- -continue
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- - # Passes both tests.
- -ac_preproc_ok=:
- -break
- -fi
- -
- -rm -f conftest.err conftest.$ac_ext
- -
- -done
- -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
- -rm -f conftest.err conftest.$ac_ext
- -if $ac_preproc_ok; then
- - :
- -else
- - { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
- -See \`config.log' for more details." >&5
- -echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
- -See \`config.log' for more details." >&2;}
- - { (exit 1); exit 1; }; }
- -fi
- -
- -ac_ext=cpp
- -ac_cpp='$CXXCPP $CPPFLAGS'
- -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
- -
- -fi
- -
- -
- ac_ext=f
- ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
- ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
|